package com.zm.order.tool.server.hint;

import com.zm.order.tool.server.model.OrderItemBatching;
import com.zm.order.tool.server.query.OrderItemQuery;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author 陈标
 * @Date 2020/3/25 14:58
 */
@Repository
public interface HintItemBatchingDao {

    List<Long> scanId(OrderItemQuery query);

    List<OrderItemBatching> listById(@Param("list") List<Long> list);

    List<OrderItemBatching> scanList(OrderItemQuery query);

    void batchUpdateDate(List<Long> list);

}
